# Yar_Server::__construct

(PECL yar >= 1.0.0)

Yar_Server::__construct — Enregistre un serveur

### Description

final public Yar_Server::__construct(Object `$obj`)

Configure un serveur Yar HTTP RPC. Toutes les méthodes publiques de l'objet $obj seront enregistrées comme un service RPC.

### Liste de paramètres

`obj`

  Un objet. Toutes les méthodes publiques de cet objet seront enregistrées comme services RPC.

### Valeurs de retour

Une instance de la classe Yar_Server.

### Exemples

Exemple #1 Exemple avec Yar_Server::__construct()

`<?php
class API {
/**
* les informations seront générées automatiquement sur la page d'information du service.
* @params
* @return
*/
public function some_method($parameter, $option = "foo") {
return "some_method";
}
protected function client_can_not_see() {
}
}
$service = new Yar_Server(new API());
$service->handle();
?>`

Résultat de l'exemple ci-dessus est similaire à :

### Voir aussi

- Yar_Server::handle() - Démarre un serveur RPC